//////////////////////////////////////////////////////////////////////
//
//  SDIMENU.PRG
//
//  Copyright:
//      Alaska Software, (c) 1997-2016. All rights reserved.
//
//  Contents:
//      Create menu system for SDIDEMO.EXE
//
//////////////////////////////////////////////////////////////////////


#include "Xbp.ch"
#include "Sdidemo.ch"

/*
 * Create menu system in menubar of the dialog
 */
PROCEDURE MenuCreate( oMenuBar )
   LOCAL oMenu
   oMenu := SubMenuNew( oMenuBar, "~File" )
   oMenu:setName( ID_FILE_MENU )
   oMenu:addItem( { "~Start", } )
   oMenu:itemSelected := ;
      {|nItem,mp2,obj| MenuSelect(100+nItem) }
   oMenuBar:addItem( {oMenu, NIL} )
RETURN

FUNCTION SubMenuNew( oMenu, cTitle )
   LOCAL oSubMenu := XbpMenu():new( oMenu )
   oSubMenu:title := cTitle
RETURN oSubMenu:create()

PROCEDURE MenuSelect(nID )
   LOCAL oDlg := SetAppWindow()
   Do case
      Case nID == 101
         StartNow(oDlg)
   ENDCASE
RETURN
