#include "common.ch"
//////////////////////////////////////////////////////////////////////
///
/// <summary>
/// </summary>
///
///
/// <remarks>
/// </remarks>
///
///
/// <copyright>
/// Your-Company. All Rights Reserved.
/// </copyright>
///
//////////////////////////////////////////////////////////////////////
///

Procedure StartNow(oDlg)

LOCAL oParent              := oDlg:Drawingarea
LOCAL oTabs                := nil
LOCAL nTab                 := 1
LOCAL oTab                 := nil
LOCAL nStart               := Seconds()
LOCAL nStop                := 0
LOCAL nOffset              := 0
oTabs                      := MyTabs():New(oParent,"  1-200 controls")

oTabs:Addtab("201-400 controls")
oTabs:Addtab("401-600 controls")
oTabs:Addtab("601-800 controls")
oTabs:Addtab("801-1000 controls")
oTabs:Activate(1)

oTab                       := oTabs:GetTab(nTab)
Do While ValType(oTab) = "O"
   FillTab(oTab,nOffset)
   nTab++
   oTab                    := oTabs:GetTab(nTab)
   nOffset                 += 200
Enddo
nStop                      := Seconds()
MsgBox("Time = " + Var2Char(nStop - nStart) + " seconds")
Return

Procedure FillTab(oParent,nOffset)
LOCAL nTab                 := 1
LOCAL oTab                 := nil
LOCAL nStart               := nOffset + 1
LOCAL oTabs                := nil
oTabs                      := MyTabs():New(oParent,Var2Char(nStart) + "-" + Var2Char(nStart + 49) + " controls")
nStart                     += 50
oTabs:Addtab(Var2Char(nStart) + "-" + Var2Char(nStart + 49) + " controls")
nStart                     += 50
oTabs:Addtab(Var2Char(nStart) + "-" + Var2Char(nStart + 49) + " controls")
nStart                     += 50
oTabs:Addtab(Var2Char(nStart) + "-" + Var2Char(nStart + 49) + " controls")
oTabs:Activate(1)

oTab                       := oTabs:GetTab(nTab)
nStart                     := nOffset + 1
Do While ValType(oTab) = "O"
   FillTab_1(oTab,nStart)
   nStart                  += 50
   nTab++
   oTab                    := oTabs:GetTab(nTab)
Enddo
Return

Procedure FillTab_1(oTab,nOffset)
LOCAL aSize                := oTab:CurrentSize()
LOCAL nX                   := 10
LOCAL nY                   := aSize[2] - 10
LOCAL nXsize               := aSize[1]
LOCAL nYSize               := aSize[2]
LOCAL nId                  := 1

Do While nX < (nXsize - 100) .and. nId < 50
   nY                      := aSize[2] - 50
   Do While nY > 10 .and. nId < 50
      FillTab_Checkbox(oTab,{nX,nY},nId + nOffset)
      nY                      -= 20
      nId++
   Enddo
   nX                      += 100
Enddo
Return

Procedure FillTab_Checkbox(oTab,aPos,nId)
LOCAL oXbp                 := XbpCheckBox():New()
LOCAL aSize                := {100,18}
oXbp:Caption               := "Checkbox " + Var2Char(nId)
oXbp:Create(oTab,,aPos,aSize)
Return

CLASS MyTabs
EXPORTED:
VAR         oParent
VAR         aTabs
METHOD      Init
METHOD      GetTab
METHOD      AddTab
METHOD      Activate
METHOD      TabActivate
ENDCLASS

METHOD MyTabs:Init(oParent,cCaption)
::oParent                  := oParent
::aTabs                    := {}
::AddTab(cCaption)
Return SELF

METHOD MyTabs:AddTab(cCaption)
LOCAL aSize                := ::oParent:CurrentSize()
LOCAL oTab                 := nil
aSize[1]                   -= 20
aSize[2]                   -= 40
oTab                       := XbpTabPage():new(::oParent,, {10,10}, aSize)
oTab:minimized             := TRUE
Do Case
   Case Len(::aTabs) = 0
   Case Len(::aTabs) = 1
      oTab:preOffset       := 20
      oTab:postOffset      := 60
   Case Len(::aTabs) = 2
      oTab:preOffset       := 40
      oTab:postOffset      := 40
   Case Len(::aTabs) = 3
      oTab:preOffset       := 60
      oTab:postOffset      := 20
   Case Len(::aTabs) = 4
      oTab:preOffset       := 80
      oTab:postOffset      := 0
Endcase
oTab:caption               := cCaption
oTab:create()
oTab:TabActivate           := {||::TabActivate(oTab)}
Aadd(::aTabs,oTab)
Return

METHOD MyTabs:GetTab(nTab)
LOCAL oTab                 := nil
If nTab > 0 .and. nTab <= Len(::aTabs)
   oTab                    := ::aTabs[nTab]
Endif
Return oTab

METHOD MyTabs:Activate(nTab)
LOCAL oTab                 := ::GetTab(nTab)
If ValType(oTab) = "O"
   ::TabActivate(oTab)
Endif
Return

METHOD MyTabs:TabActivate(oTab)
LOCAL ni                   := 0
For ni := 1 To Len(::aTabs)
   If ::aTabs[ni] <> oTab
      ::aTabs[ni]:Minimize()
   Else
      ::aTabs[ni]:Maximize()
   Endif
Next ni
Return

